Package commoble.bagofyurting.api

# Class BlockDataTransformer<T extends net.minecraft.world.level.block.entity.BlockEntity>

java.lang.Object
commoble.bagofyurting.api.BlockDataTransformer<T>

public class BlockDataTransformer<T extends net.minecraft.world.level.block.entity.BlockEntity> extends Object

## Constructor Summary

Constructors
Constructor
Description
`BlockDataTransformer​(BlockDataSerializer<? super T> serializer, BlockDataDeserializer<? super T> deserializer)`

## Method Summary

Modifier and Type
Method
Description
`BlockDataDeserializer<? super T>`
`getDeserializer()`
`BlockDataSerializer<? super T>`
`getSerializer()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockDataTransformer

public BlockDataTransformer​(BlockDataSerializer<? super T> serializer, BlockDataDeserializer<? super T> deserializer)

## Method Details

### getSerializer

public BlockDataSerializer<? super T> getSerializer()

### getDeserializer

public BlockDataDeserializer<? super T> getDeserializer()